ECHO OFF
ECHO :  This File Rebuilds the Microsoft C Library   M4.LIB
ECHO :  During this process files 'M4.LIB' and 'OUT' are erased.
ECHO :
ECHO :  Warning:  Install Code Base 4 before running this batch file.
ECHO :  Press Ctrl C or Break to abort.
ECHO :
ECHO :  If you are using MSC 5.1, use command file 'm4five.bat' instead.
ECHO :
ECHO :  The compile is broken into sections because if everything is
ECHO :  compiled at once, MSC 6.0 returns an 'out of memory' error
ECHO :  half way through.
ECHO :
ECHO :  Note that the library is being built using the '-Gs' and 'Gr'
ECHO :  compile switches.  This is done to make the library smaller
ECHO :  and faster.  Consequently, the compilations of your application
ECHO :  programs need to use these switches too.
ECHO :
ECHO :  This compilation does produce some warning messages under
ECHO :  MSC 6.0.  Some of the warnings refer to unused parameters.
ECHO :  In these cases, the parameters are used in other compile options.
ECHO :  Other warnings refer to completely valid and safe code.  They
ECHO :  can be safely ignored.
ECHO ON
PAUSE
erase  out 
erase  m4.lib
cl -c -Gs -Gr -W3 -Zl -AL -DMSC b4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC c4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4a*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4b*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4c*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4d*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4e*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4g*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4i*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4l*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4n*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4p*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4r*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4s*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4t*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4u*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4w*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC d4z*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC e4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC f4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC g4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC h4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC i4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC m4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC n4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC p4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC u4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC w4*.C  >>out
cl -c -Gs -Gr -W3 -Zl -AL -DMSC x4*.C  >>out
lib    @m4
type   out

